nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | List of all members
nx::vms_server_plugins::cloud_storage::sample::Integration Class Reference
Inheritance diagram for nx::vms_server_plugins::cloud_storage::sample::Integration:

## Public Member Functions
virtual void | setUtilityProvider (nx::sdk::IUtilityProvider *utilityProvider) override
virtual void | getManifest (nx::sdk::Result< const nx::sdk::IString *> *outResult) const override
Public Member Functions inherited from nx::sdk::RefCountable< nx::sdk::cloud_storage::IIntegration >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const
Public Member Functions inherited from nx::sdk::cloud_storage::IIntegration
Result< const IString * > | manifest () const
Result< IEngine * > | obtainEngine (const char *url, const IAsyncOperationHandler *asyncOperationHandler)
Public Member Functions inherited from nx::sdk::Interface< IIntegration, nx::sdk::IIntegration >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::Interface< IIntegration >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
int | refCountThreadUnsafe () const

## Additional Inherited Members
Static Public Member Functions inherited from nx::sdk::cloud_storage::IIntegration
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IIntegration
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()
Protected Member Functions inherited from nx::sdk::Interface< IIntegration, nx::sdk::IIntegration >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Protected Member Functions inherited from nx::sdk::Interface< IIntegration >
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Member Function Documentation

## ◆ setUtilityProvider()

void nx::vms_server_plugins::cloud_storage::sample::Integration::setUtilityProvider | ( | nx::sdk::IUtilityProvider * | utilityProvider | ) |
| overridevirtual

Provides an object which the Integration can use for calling back to access some data and functionality provided by the process that uses the Integration.

For the details, see the documentation for IUtilityProvider.

Implements nx::sdk::IIntegration.

The documentation for this class was generated from the following files:

- samples/cloud_storage/sample_cloud_storage_plugin/src/nx/vms_server_plugins/cloud_storage/sample/integration.h
- samples/cloud_storage/sample_cloud_storage_plugin/src/nx/vms_server_plugins/cloud_storage/sample/integration.cpp